org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class CryptoProviders

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.CryptoProviders

-     public class CryptoProviders
      extends Object

  Java class for CryptoProviders complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CryptoProviders">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="provider" type="{http://www.w3.org/2001/XMLSchema}string"
               maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CryptoProviders()` Instantiate provider list in the constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getProvider()` Gets the value of the provider property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### provider

          protected List<String> provider

  - ### Constructor Detail

    - #### CryptoProviders

          public CryptoProviders()

      Instantiate provider list in the constructor

  - ### Method Detail

    - #### getProvider

          public List<String> getProvider()

      Gets the value of the provider property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the provider property.

      For example, to add a new item, do as follows:

              getProvider().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

Copyright © 2017 WSO2. All rights reserved.